﻿using System;
using System.Collections.Generic;
using System.Linq;

namespace ListViewGroupHeaderSummary.Model
{
    public class SchoolScoreProvider
    {
        public List<ScoreInfo> ReadAllScoreInfo()
        {
            var random = new Random();
            return (from i in Enumerable.Range(0, 4)
                    let className = String.Format("({0}) 班", i + 1)

                    from s in Enumerable.Range(i * 6 + 1, 6)
                    let mScore = random.Next(101)
                    let eScore = random.Next(101)

                    select new ScoreInfo(s.ToString(), className, mScore, eScore))
                    .ToList();
        }
    }
}
